%% CC BY-SA (Attribution-ShareAlike) Mamdani based neuro-fuzzy system with center-of-sets defuzzification 
%by Dr. Juan R. Castro of Universidad Autnoma de Baja California 
%is distributed under a Creative Commons Attribution-ShareAlike 4.0 International License 
%(https://creativecommons.org/licenses/by-sa/4.0/). 
%This license allows others to remix, retouch, and create from their work, even for commercial purposes, 
%as long as they give credit and license their new creations under the same terms. All new works based on 
%yours will carry the same license, so any derivative works will also allow commercial use.

function tr=newtr(epochs,varargin)
% NEWTR New training record with any number of optional fields.
%
%	Syntax
%
%	  tr = newtr(epochs,'fieldname1','fieldname2',...)
%
if nargin < 1,error('Not enough input arguments.'),end

names = varargin;
blank = zeros(1,epochs+1)+NaN;

tr.epoch = 0:epochs;
for i=1:length(names)
  eval(['tr.' names{i} '=blank;']);
end
